import { SvgIconProps } from "../../app/types/types";


export function LoginAvatarIcon(props: SvgIconProps) {
  return (
    <svg width="33" height="33" viewBox="0 0 33 33" fill="none" xmlns="http://www.w3.org/2000/svg" {...props}>
      <path
        d="M16.3491 0.355957C13.1846 0.355957 10.0912 1.29434 7.46 3.05244C4.82882 4.81055 2.77806 7.3094 1.56706 10.233C0.356054 13.1566 0.0392003 16.3737 0.656564 19.4774C1.27393 22.5811 2.79778 25.432 5.03542 27.6697C7.27306 29.9073 10.124 31.4312 13.2277 32.0485C16.3314 32.6659 19.5484 32.349 22.4721 31.138C25.3957 29.927 27.8945 27.8763 29.6526 25.2451C31.4107 22.6139 32.3491 19.5205 32.3491 16.356C32.3475 12.113 30.6613 8.04424 27.6611 5.044C24.6608 2.04377 20.5921 0.357547 16.3491 0.355957ZM16.3491 5.15596C17.2985 5.15596 18.2265 5.43747 19.0159 5.9649C19.8052 6.49233 20.4205 7.24199 20.7838 8.11908C21.1471 8.99616 21.2421 9.96128 21.0569 10.8924C20.8717 11.8235 20.4145 12.6788 19.7432 13.3501C19.0719 14.0214 18.2167 14.4785 17.2856 14.6637C16.3545 14.8489 15.3893 14.7539 14.5122 14.3906C13.6352 14.0273 12.8855 13.4121 12.3581 12.6227C11.8306 11.8333 11.5491 10.9053 11.5491 9.95596C11.5483 9.32539 11.672 8.70086 11.9129 8.11814C12.1538 7.53542 12.5074 7.00596 12.9533 6.56008C13.3991 6.1142 13.9286 5.76067 14.5113 5.51973C15.094 5.27878 15.7186 5.15517 16.3491 5.15596ZM16.3491 27.876C14.4481 27.8759 12.5767 27.4054 10.9016 26.5065C9.2266 25.6075 7.80004 24.3081 6.74913 22.724C6.79713 19.54 13.1491 17.796 16.3491 17.796C19.5331 17.796 25.9011 19.54 25.9491 22.724C24.8982 24.3081 23.4717 25.6075 21.7966 26.5065C20.1216 27.4054 18.2501 27.8759 16.3491 27.876Z"
        fill="#B0BAD3"
      />
    </svg>
  )
}
